# Cycle Chests

## Quickly find items in nearby chests. Cycle through containers using arrow keys and mouse wheel.

Open a chest, then use your arrow keys or mouse wheel to switch to other nearby chests. Makes finding items easy without moving to or clicking on multiple chests.

## New

- Added volume control for chest open and close sounds.
- Fixed non-critical error when attempting to cycle chests with Smoothbrain's Backpacks open.

## Configuration

### General

***DistanceToIncludeChests***: Distance from current location to look for chests to cycle through.

### Sound

**ChestOpenCloseVolume**: Volume of Chest open and close sounds, as a percentage of maximum volume.

### Controls

**CycleNext**: Press this key while a chest is open to open the next container. Default is right arrow.
**CyclePrevious**: Press this key while a chest is open to open the previous container. Default is left arrow.
**UseMouseWheel**: Cycle through containers using the mouse wheel.

### Utility

**LogLevel**: Controls the level of information contained in the log
**MouseWheelLatency**: Controls how sensitive the mouse wheel is when switching chests. Increase if too sensitive, decrease if too sluggish.

Settings in italics can be controlled by the server if installed there.

### Utility

- **LogLevel**: Controls the level of information in the log.

### In-game reconfiguration

You can use Configuration Manager (or similar) mod to change the configuration without exiting the game. You can force a configuration update from the chat window (press Enter) then type:

	/modname config

### Compatibility issues & defects

- If you find a compatibility issue you can post it on NexusMods. Be sure to include the mod name and version you think may be incompatible.
- If you have a bug please report it on NexusMods. If you do post a bug report, please make sure to include the following:
    - Your version of this mod
    - What you were doing, or attempting to do when it happened
    - If it's repeatable - i.e., can you duplicate it?
    - The exact behavior you observed (or didn't observe)
    - If possible, post a capture of the log file with errors (errors always begin with this mod's name) on Discord


You can find all Neobotics released mods on: 
- Thunderstore: https://tinyurl.com/NeoboticsOnThunderstore 
- Nexus Mods: https://tinyurl.com/NeoboticsOnNexus

Your comments and feedback are always welcome. Post on NexusMods or Discord: https://discord.gg/hRfqDapR
